Summary:	GNOME Pilot programs
Name:		gnome-pilot
Version: 	0.1.61
Release:	5mdk
License:	GPL/LGPL
Group:		Graphical desktop/GNOME
Source0: 	ftp://ftp.gnome.org/pub/GNOME/sources/unstable/%{name}/%{name}-%{version}.tar.bz2
Source1:	gnome-pilot.m4.bz2
# (fc) 0.1.61-2mdk fixes from GNOME CVS
Patch0:		gnome-pilot-0.1.61-cvsfixes.patch.bz2
# (fc) 0.1.61-4mdk fix bad variable in Makefile
Patch1:		gnome-pilot-0.1.61-vfs.patch.bz2
URL:		http://www.gnome.org/gnome-pilot/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildRequires: control-center-devel GConf-devel gob >= 1.0.10
BuildRequires: gnome-core-devel gnome-vfs-devel libglade-devel
BuildRequires: pilot-link-devel >= 0.9.5-0.6.1mdk popt-devel

%description
GNOME pilot is a collection of programs and daemon for integrating
GNOME and the PalmPilot (tm).

%package devel

Summary:	GNOME pilot libraries, includes, etc
Group:		Development/GNOME and GTK+
Requires: 	%{name} = %{version}

Requires:	pilot-link-devel >= 0.9.5
Requires:	gnome-core-devel >= 1.2.0
Requires:	ORBit-devel      >= 0.5.3

%description devel
gpilotd libraries and includes.

%prep
%setup -q
%patch0 -p1 -b .cvsfixes
%patch1 -p1 -b .vfs

bzcat %{SOURCE1} > macros/gnome-pilot.m4

# needed by latest libtool
rm -f ltconfig
aclocal -I macros

#needed by patch0 and 1
automake

autoconf


%build

%configure --enable-usb --enable-vfs --enable-network

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall 

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): needs=gnome section="Configuration/Gnome/Peripherals" command="gpilotd-control-applet" title="Pilot link" icon="/usr/share/pixmaps/gnome-palm.png" 
?package(%{name}): needs=gnome section="Configuration/Gnome/Peripherals" command="gpilotd-control-applet --cap-id=1" title="Pilot Conduits" icon="/usr/share/pixmaps/gnome-palm.png" 
EOF

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post  
%{update_menus}
/sbin/ldconfig

%postun 
%{clean_menus}
/sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_libdir}/*.so.*
%dir %{_libdir}/gnome-pilot
%dir %{_libdir}/gnome-pilot/conduits
%{_libdir}/gnome-pilot/conduits/*.so*
%config(noreplace) %{_sysconfdir}/CORBA/servers/*
# not needed if compiled with oaf
%{_datadir}/applets/*/*
%{_datadir}/control-center/*
%{_datadir}/gnome/*/*/*
%{_datadir}/gnome-pilot
%{_datadir}/idl/*
%{_datadir}/mime-info/*
%{_datadir}/pixmaps/*
#%{_datadir}/oaf/*
%{_mandir}/man1/*
%{_menudir}/*

%files devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/*so
%{_libdir}/*a
%{_libdir}/*sh
%{_libdir}/gnome-pilot/conduits/*a

%changelog
* Mon Sep 17 2001 Stefan van der Eijk <stefan@eijk.nu> 0.1.61-5mdk
- BuildRequires: GConf-devel popt-devel
- Remove redundant BuildRequires

* Mon Sep 17 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.61-4mdk
- Patch1: fix compilation with latest gnome-vfs
- Update patch0 with new fixes 

* Fri Sep  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.61-3mdk
- Disable oaf : it seems to break some conduits

* Tue Sep  4 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.61-2mdk
- Patch0: various fixes from CVS

* Thu Aug  9 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.61-1mdk
- Release 0.1.61
- Remove patch0 (merged upstream)

* Wed Jul  4 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.59-3mdk
- Fix menu entries

* Tue Jul 03 2001 Stefan van der Eijk <stefan@eijk.nu> 0.1.59-2mdk
- BuildRequires:	db1-devel
- Remove BuildRequires:	audiofile-devel
- Remove BuildRequires:	esound-devel
- Remove BuildRequires:	gnome-libs-devel
- Remove BuildRequires:	imlib-devel
- Remove BuildRequires:	libxml-devel
- Remove BuildRequires:	ORBit-devel
- Remove BuildRequires:	XFree86-devel
- Remove BuildRequires:	zlib-devel

* Tue Jul  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.59-1mdk
- Release 0.1.59

* Sat May 26 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.1.58-0.pre2.2mdk
- Fix po install oddity (Stefan).
- s/Copyright/License/;

* Tue May 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.58-0.pre2.1mdk
- Version 0.1.58-pre2

* Mon May 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.55-0.1.5mdk
- Enable SyncAbs back

* Mon May 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.55-0.1.4mdk
- Recompiled with latest gob 
- Remove conflicts with libxml2

* Mon Mar 26 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.55-0.1.3mdk
- Disable compilation of SyncAbs conduit. Doesn't work with latest pilot-link
- Force regeneration of gob files

* Wed Jan  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.55-0.1.2mdk
- Correct BuildRequires

* Fri Oct 27 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.55-0.1.1mdk
- Release 0.1.55-pre

* Mon Oct 02 2000 David BAUDENS <baudens@mandrakesoft.com> 0.1.54-4mdk
- Fix menu entry

* Fri Sep 22 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.54-3mdk
- Add missing files
- Add menuentry

* Wed Sep  6 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.54-2mdk
- Add oaf files
- Use find_lang macro

* Tue Aug  8 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.54-1mdk
- Release 0.1.54

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.1.53-3mdk
- automatically added BuildRequires

* Mon Jul 31 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.53-2mdk
- rebuild to remove dependency on alsa

* Tue Jul 25 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.53-1mdk
- Release 0.1.53

* Mon Jul 24 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.52-3mdk
- add shell script to devel
- clean spec

* Fri Jul 21 2000 dam's <damien@mandrakesoft.com> 0.1.52-2mdk
- BM + macrozification.

* Fri Jul  7 2000 dam's <damien@mandrakesoft.com> 0.1.52-1mdk
- updated from helix.

* Wed May 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.1.50-4mdk
- Add BuildRequires: gob pilot-link-devel
- libtoolizification.

* Fri Apr 28 2000 dam's <damien@mandrakesoft.com> 0.1.50-3mdk
- added update-menus.

* Sun Apr 16 2000 Daouda Lo <daouda@mandrakesoft.com> 0.1.50-2mdk
- Oups forgot to include some devel librairies!

* Sun Apr 16 2000 Daouda Lo <daouda@mandrakesoft.com> 0.1.50-1mdk
- first mandrake build. 
- Spec file from HelixCode Inc.
